Skip to content

Get a contact's timeline

GET
/api/v1/contacts/{id}/timeline
curl --request GET \
--url https://digize.com/api/v1/contacts/example/timeline \
--header 'x-api-key: <x-api-key>'

A contact’s timeline, the newest first: orders, refunds, forms, messages, bookings and notes.

Needs the crm:read permission.

id
required
string
>= 1 characters <= 64 characters

Done

Media typeapplication/json
Array<object>
object
id
required
string
kind
required
string
Allowed values: order refund form message booking note created merged review
title
required
string
detail
required
string | null
amount
required
number | null
at
required
string format: date-time

Example

[
{
"kind": "order"
}
]

What was sent isn’t valid (invalid).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

No key, or one that’s unknown, off or expired.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

The key doesn’t have the permission this needs.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Nothing has that id (not_found).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Over the rate limit; see retry-after.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}